@prefix ex: <http://example.org/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix ax: <http://tpl.ottr.xyz/owl/axiom/0.1/> .
@prefix rstr: <http://tpl.ottr.xyz/owl/restriction/0.1/> .

ex:OnlyComponents[owl:Class ?item, NEList<owl:Class> ?components] :: {
	ax:SubObjectAllValuesFrom(?item, ex:hasPart, _:u),
	rstr:ObjectUnionOf(_:u, ?components)
}.